<?php
/*
Plugin Name: Week Day Finder
Plugin URI: http://www.devilhunter.net/
Description:  This PlugIn will automatically match your theme's color. Go to Appearance > Widgets, and drag 'PlugIn' in sidebar or footer or into any widgetized area. Insert into page or post by PageBuilder. No need to use any short-code or to edit settings.
Version: 1.0
Author: Tawhidur Rahman Dear
Author URI: http://www.facebook.com/tawhidurrahmandear/ 
License: GPLv2 or later 


Developer: 
Tawhidur Rahman Dear
tawhidurrahmandear@gmail.com
Blog: http://tawhidurrahmandear.blogspot.com/
Facebook: http://www.facebook.com/tawhidurrahmandear/ 
Google Plus: http://plus.google.com/+tawhidurrahmandear/about
YouTube: http://www.youtube.com/tawhidurrahmandear
LinkedIn: http://www.linkedin.com/in/tawhidurrahmandear

 
 */
 
 // Prevent direct file access
if ( ! defined ( 'ABSPATH' ) ) {
	exit;
}
// 


class tawhidurrahmandearthirteenWidget extends WP_Widget {
  function tawhidurrahmandearthirteenWidget() {
    $widget_ops = array('classname' => 'tawhidurrahmandearthirteenWidget', 'description' => 'Drag the PlugIn in sidebar or footer. Insert into page or post by PageBuilder' );
    $this->WP_Widget('tawhidurrahmandearthirteenWidget', 'Week Day Finder', $widget_ops);
  }
 
  function form($instance) {
    $instance = wp_parse_args((array) $instance, array( 'title' => '' ));
    $title = $instance['title'];
?>
  <p><label for="<?php echo $this->get_field_id('title'); ?>">Title (optional) :<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo attribute_escape($title); ?>" /></label></p>
<?php
  }
 
  function update($new_instance, $old_instance) {
    $instance = $old_instance;
    $instance['title'] = $new_instance['title'];
    return $instance;
  }
 
  function widget($args, $instance) {
    extract($args, EXTR_SKIP);
 
    echo $before_widget;
    $title = empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);
 
    if (!empty($title))
      echo $before_title . $title . $after_title;;
 
 ?>

<script LANGUAGE="JavaScript">
<!-- begin script

//General Array Function
function MakeArray(n) {
   this.length = n;
   for (var i = 1; i <=n; i++) {
     this[i] = 0;
   }
}

//Initialize Days of Week Array
days = new MakeArray(7);
days[0] = "Saturday"
days[1] = "Sunday"
days[2] = "Monday"
days[3] = "Tuesday"
days[4] = "Wednesday"
days[5] = "Thursday"
days[6] = "Friday"

//Initialize Months Array
months = new MakeArray(12);
months[1] = "January" 
months[2] = "February" 
months[3] = "March" 
months[4] = "April" 
months[5] = "May" 
months[6] = "June" 
months[7] = "July" 
months[8] = "August"
months[9] = "September" 
months[10] = "October"
months[11] = "November"
months[12] = "December"

//Day of Week Function
function compute(form) {
   var val1 = parseInt(form.day.value, 10)
   if ((val1 < 0) || (val1 > 31)) {
      alert("Day is out of range")
   }
   var val2 = parseInt(form.month.value, 10)
   if ((val2 < 0) || (val2 > 12)) {
      alert("Month is out of range")
   }  
   var val2x = parseInt(form.month.value, 10)
   var val3 = parseInt(form.year.value, 10)
   if (val3 < 0000) {
      alert("Oops! are you really too old?")
   }
   if (val2 == 1) {
      val2x = 13;
      val3 = val3-1
   }
   if (val2 == 2) {
      val2x = 14;
      val3 = val3-1
   }
   var val4 = parseInt(((val2x+1)*3)/5, 10)
   var val5 = parseInt(val3/4, 10)
   var val6 = parseInt(val3/100, 10)
   var val7 = parseInt(val3/400, 10)
   var val8 = val1+(val2x*2)+val4+val3+val5-val6+val7+2
   var val9 = parseInt(val8/7, 10)
   var val0 = val8-(val9*7)
   form.result.value = days[val0]
}   

// end script -->
      </script>

<form>
  <p>Day of Month (1-31): </p>
  <p> <input type="text" name="day" style="font-weight:bold;" size="20" maxlength="20"> </p>
  <p>Numeric Month (1-12): </p>
  <p> <input type="text" name="month" style="font-weight:bold;" size="20" maxlength="20"> </p>
  <p>Year (eg. 1983): </p>
  <p> <input type="text" name="year" style="font-weight:bold;" size="20" maxlength="20"> </p>
  <p><input type="button" VALUE="Click to know" ONCLICK="compute(this.form)"> <input type="reset"
  VALUE="Clear"> </p>
  <p>Result, Day of Week: </p>
  <p> <input type="text" name="result" style="font-weight:bold;" size="20" maxlength="20" readonly="readonly"> </p>
</form>
 
<?php
 
    echo $after_widget;
  }
 
}
add_action( 'widgets_init', create_function('', 'return register_widget("tawhidurrahmandearthirteenWidget");') );?>